List build history
GET
/databases/{id}/builds
const url = 'https://api.reflexdb.cloud/v1/databases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/builds';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.reflexdb.cloud/v1/databases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/builds \ --header 'Authorization: Bearer <token>'Returns all build records for the database, most recent first. Builds with deployable: true have a stored image and can be redeployed via POST /redeploy.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Database ID
Responses
Section titled “ Responses ”Default Response
Media type application/json
object
builds
required
Array<object>
object
id
required
string format: uuid
status
required
string
deployable
required
boolean
codebuildId
string
logsUrl
string
createdAt
required
string format: date-time
finishedAt
string format: date-time
buildDurationSeconds
integer
computeTypeUsed
string
costEstimateCents
integer
activeBuildId
required
ID of the build currently deployed on the running instance
string format: uuid
Example generated
{ "builds": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "status": "example", "deployable": true, "codebuildId": "example", "logsUrl": "example", "createdAt": "2026-04-15T12:00:00Z", "finishedAt": "2026-04-15T12:00:00Z", "buildDurationSeconds": 1, "computeTypeUsed": "example", "costEstimateCents": 1 } ], "activeBuildId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Default Response
Media type application/json
Error
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}Default Response
Media type application/json
Error
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}